Skip to main content
GET
/
v1
/
metrics
/
etf-rolling-30d-flow-usd
Etf Rolling 30d Flow Usd
curl --request GET \
  --url https://api.blockworks.com/v1/metrics/etf-rolling-30d-flow-usd \
  --header 'x-api-key: <api-key>'
{
  "projectName": [
    {
      "date": "2025-08-10",
      "value": 123456.789
    },
    {
      "date": "2025-08-11",
      "value": 234567.89
    },
    {
      "date": "2025-08-12",
      "value": 345678.901
    }
  ]
}

Overview

  • Denomination: USD
  • Type: USD Value
  • Interval: Daily
  • Source: Blockworks

Example Request

curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.blockworks.com/v1/metrics/etf-rolling-30d-flow-usd?project=hanetf"

Example Response

{
  "hanetf": [
    {
      "date": "2026-03-20",
      "value": 1846067
    },
    {
      "date": "2026-03-19",
      "value": 850927
    },
    {
      "date": "2026-03-18",
      "value": 850927
    }
  ]
}

Notes

  • Intervals are daily unless otherwise noted.
  • Data is updated daily and may be revised after late-arriving data.

Authorizations

x-api-key
string
header
required

Query Parameters

project
enum<string>
required

Project slug (comma-separated for multiple).

Available options:
21shares,
3iq,
accelerate-financial-technologies,
advisorshares,
alphabit-investments,
amina-bank,
amplify-etfs,
betashares,
bitcoin-capital-ag,
bitpanda,
bitwise,
blackrock,
bosera-fund-management,
calamos-investments,
canary-capital,
chinaamc,
ci,
coinshares,
cosmos-asset-management,
crypto-finance-asset-management,
csop,
dda,
defiance-etfs,
digitalx,
dynamic-funds,
eqonex-investment-products,
etc-group,
evolve-etfs,
fidelity,
first-trust,
fortuna,
franklin-templeton,
global-x,
graniteshares,
grayscale,
hanetf,
harvest-global-investments-limited,
harvest-portfolios-group,
hashdex,
helveteq-ag,
horizons-etfs,
innovator,
invesco,
jacobi-asset-management,
liqwid,
melanion,
microbit,
monochrome,
neos-investment-management,
nicholas-wealth-management,
ninepoint-partners,
nxtassets,
pando-finance,
proshares,
purpose-investments,
quantify-funds,
rex-shares,
roundhill-investments,
samsung-asset-management,
schwab-etfs,
simplify,
smart,
spdr,
teucrium,
tidal,
tobam,
tuttle-capital-management,
valkyrie,
valour,
vaneck,
virtune,
volatility-shares,
volt-funds,
wisdomtree,
xtrackers-by-dws,
yieldmax-etfs
Example:

"21shares"

start_date
string<date>

Start date (YYYY-MM-DD)

end_date
string<date>

End date (YYYY-MM-DD)

Response

OK

{key}
object[]